import * as $dara from '@darabonba/typescript';
import { AssociateVpnGatewayWithCertificateResponseBody } from "./AssociateVpnGatewayWithCertificateResponseBody";
export declare class AssociateVpnGatewayWithCertificateResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AssociateVpnGatewayWithCertificateResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
